# SmileyFace UT Server Tool

See official website, [https://zavage-software.com/portfolio/smileyface](https://zavage-software.com/portfolio/smileyface) for instructions.

# Dependencies
 * [app_skellington](https;//zavage-software.com/projects/app_skellington)
  * [appdirs](https://pypi.org/project/appdirs)
  * [colorlog](https://pypi.org/project/colorlog)
  * [configobj](https://pypi.org/project/configob)
 * [selenium](https://selenium-python.readthedocs.io)
 * [sqlparse](https://pypi.org/project/sqlparse)

Installation
============
Activate your desired python environment or install system-wide with admin privileges.

    python setup.py install

Usage
======

$ ./smileyface.py -h
usage: smileyface.py [-h] command ...

positional arguments:
  command
    clean_instance      Deletes the generated instance on the local machine.
    create_directories  Create required directories which the user installs maps, mutators, and config to.
    download_linux_server
                        Download the latest Linux Unreal Tournament 4 Server from Epic
    download_logs       Download the logs from the target hub.
    generate_instance   Takes the current coniguration and outputs the application files which can be copied
                        to the server.
    oneclickdeploy
    restart_server
    start_server        Flip on the target hub on for Fragging.
    stop_server         Stop UT4 Hub processes on the server.
    upload_redirects    Upload paks to redirect server.
    upload_server       Upload all required game files to the hub server.
    scrape              sub-submenu help

optional arguments:
  -h, --help            show this help message and exit
Invalid command. Try -h for usage

# Contact
 * mat@zavage.net

